<?php 
// Typ wpisów Receptury
register_post_type( 'recipes', array(
    'label' => 'Receptury',
    'labels' => array(
        'singular_name' => 'Receptura',
        'add_new_item' => 'Dodaj nową recepturę',
        'add_new' => 'Dodaj nową',
        'edit_item' => 'Edytuj recepturę',
        'new_item' => 'Nowa receptura',
        'view_item' => 'Zobacz recepturę',
        'search_items' => 'Przeszukuj receptury',
        'not_found' => 'Nie znaleziono żadnej receptury',
        'not_found_in_trash' => 'Nie znaleziono żadnej receptury w koszu',
    ),
    'public' => true,
    'show_ui' => true,
    'capability_type' => 'post',
    'has_archive' => true,
    'rewrite' => array(
        'slug' => 'receptury'
    ),
    'query_var' => false,
    'supports' => array(
        'title',
        'editor',
        'author',
        'thumbnail',
        'excerpt',
        'comments'
    )
) );

// Taksonomia Składniki
register_taxonomy( 'ingredients', 'recipes', array(
    'hierarchical' => false,
    'labels' => array(
        'name' => 'Składniki',
        'singular_name' => 'Składnik',
        'search_items' => 'Przeszukuj składniki',
        'popular_items' => 'Popularne składniki',
        'all_items' => 'Wszystkie składniki',
        'parent_item' => null,
        'parent_item_colon' => null,
        'edit_item' => 'Edytuj składnik',
        'update_item' => 'Aktualizuj składnik',
        'add_new_item' => 'Dodaj nowy składnik',
        'new_item_name' => 'Nowy składnik',
        'separate_items_with_commas' => 'Oddziel składniki przecinkami',
        'add_or_remove_items' => 'Dodaj lub usuń składniki',
        'choose_from_most_used' => 'Wybierz z najczęściej używanych składników',
        'menu_name' => 'Składniki'
    ),
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array(
        'slug' => 'skladnik'
    ),
) );

// Taksonomia Dania
register_taxonomy( 'dishes', 'recipes', array(
    'hierarchical' => true,
     'labels' => array(
         'name' => 'Dania',
         'singular_name' => 'Danie',
         'search_items' => 'Przeszukuj dania',
         'all_items' => 'Wszystkie dania',
         'parent_item' => 'Nadrzędne dania',
         'parent_item_colon' => 'Nadrzędne danie:',
         'edit_item' => 'Edytuj danie',
         'update_item' => 'Aktualizuj danie',
         'add_new_item' => 'Dodaj nowe danie',
         'new_item_name' => 'Nazwa nowego dania',
         'menu_name' => 'Dania'
    ),
     'show_ui' => true,
     'query_var' => true,
     'rewrite' => array(
         'slug' => 'danie'
    ),
) );

?>